Yeah... I'm not sure either.  Eventually I just through in the towel, deleted everything and sudo apt-get install python-matplotlb

Thanks for the help though!

-Max


Date: Mon, 18 May 2009 20:29:33 +0000
Subject: Re: Re: [Matplotlib-users] [matplotlib-devel] Error building from source - Ubuntu
From: jdh2358@gmail.com
To: uhlenhuthm@hotmail.com
CC: morph@debian.org; matplotlib-users@lists.sourceforge.net

On May 18, 2009 3:09pm, M Uhlenhuth <uhlenhuthm@hotmail.com> wrote:
>
> I discovered I actually did have python2.5-dev (just not a python-dev version 2.5!).
>
> I compiled and ran the code, but I'm getting errors like:
>
> In [2]: import matplotlib.pyplot as plt
> ---------------------------------------------------------------------------
> ImportError Traceback (most recent call last)
>
> /home/maximus/ in ()
>
> /usr/lib/python2.5/site-packages/matplotlib/pyplot.py in ()
> 2


Normally when you compile and install from src, the default location is /usr/local rather than /usr. Did you override this with --prefix or --install-lib? If not, I wonder if you are not using the version you think you are. Also, check the FAQ

http://matplotlib.sourceforge.net/faq/installing_faq.html

For suggestions on how to get a clean build and install.

JDH